﻿using FiwareProyecto.BaseDeDatos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace FiwareProyecto.Controllers
{
    [Authorize]
    public class HomeController : CheckSecurity
    {

        LoginBBDD db1 = new LoginBBDD();
        public ActionResult Index()
        {
            Usuario Logado = new Usuario();

            if (Session["idUser"] == null)
            {
                return Redirect("/Login/Index");
            }
            else
            {

                bool esAdmin = false;
                int? idUser = 0;
                var usuLogado = controlUsuario();
               
                using (var db = new FiwareEntities())
                {
                    Logado = db.Usuario.FirstOrDefault(u => u.email == usuLogado.email);
                    esAdmin = ObtenerRol(Logado);
                }

                ViewBag.logado = Logado.email;

                ViewBag.admin = esAdmin;

                return View();
            }
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}