﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FiwareProyecto.Models.ViewModels
{
    public class ReservasViewModel
    {
        public int idReserva { get; set; }
        
        public int idPlaza { get; set; }

        public int idUsuario { get; set; }



        [Display(Name = @"Fecha Entrada", Description = @"Fecha de entrada")]
        [DataType(DataType.DateTime)]
        //[DisplayFormat(DataFormatString = "{0:yyyy-MM-dd HH:mm}", ApplyFormatInEditMode = true)]
        public System.DateTime? fechaEntrada { get; set; }
        [Display(Name = @"Fecha Salida", Description = @"Fecha de Salida")]
        [DataType(DataType.DateTime)]
        //[DisplayFormat(DataFormatString = "{0:yyyy-MM-dd HH:mm}", ApplyFormatInEditMode = true)]
        //public Nullable<System.DateTime> fechaSalida { get; set; }
        public System.DateTime? fechaSalida { get; set; }
        public bool activo { get; set; }
        public int idParking { get; set; }


        public string Parking { get; set; }

    
        public ParkingEle elegirParking { get; set; }
        
    
        public IEnumerable<Sedes_Parking> ParkingsDisponibles { get; set; }


        public virtual ICollection<Usuario> Usuarios { get; set; }

      

    }


    public enum ParkingEle
    {
        ParkingValladolid,
        ParkingSegovia
    }

}