﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FiwareProyecto.BaseDeDatos
{
    public class ReservasBBDD
    {
        FiwareEntities db = new FiwareEntities();

        public List<Reserva> getReserva()
        {
            var reservas = (from i in db.Reserva orderby i.idReserva descending select i).Take(10);
            return reservas.ToList();
        }

        public void createReserva(int idPlaza, DateTime fechaEntrada, DateTime fechaSalida, bool activo)
        {
            Reserva reser = new Reserva();
            reser.idPlaza = idPlaza;
            reser.fechaEntrada = fechaEntrada;
            reser.fechaSalida = fechaSalida;
            reser.activo = activo;
            db.Reserva.Add(reser);
            db.SaveChanges();

        }

    }
}
